@import "../base/variable.scss";
@import "../base/mixins.scss";

.dashboard_section {
    .dashboard_inner {
        height: 100%;
        max-height: 100%;
        display: flex;
        .side_bar_section {
            width: 336px;
            float: left;
            border-right: 2px solid $border_line;
            @include clearfix();
            .side_bar_area {
                padding-top: 140px;
                text-align: center;
                width: 100%;
                position: sticky;
                top: 0;
                float: left;
                .box_area {
                    .image_area {
                        a {
                            .user-img-warp {
                                width: 80px;
                                height: 80px;
                                position: relative;
                                margin: 0 auto;
                                .user_img {
                                    overflow: hidden;
                                    img {
                                        border-radius: 5px;
                                        width: 100%;
                                        height: 100%;
                                        object-fit: cover;
                                    }
                                }
                            }
                        }
                        .name {
                            padding-top: 10px;
                            font-size: 18px;
                            padding-bottom: 5px;
                            color: $black;
                            font-weight: 500;
                        }
                        .post {
                            color: $offfspra2;
                            font-size: 14px;
                        }
                    }
                    .menu_area {
                        background-color: $white;
                        margin-top: 25px;
                        padding-top: 38px;
                        padding-bottom: 30px;
                        height: 100vh;
                        &.sidebar_height{
                            height: 100vh;
                        }
                        @include clearfix();
                        ul {
                            li {
                                position: relative;
                                a {
                                    color: $black;
                                    display: block;
                                    padding: 14px;
                                    margin-top: 10px;
                                    border-radius: 0px;
                                    padding-left: 40px;
                                    position: relative;
                                    @include transition(all 0.3s ease);
                                    .icon {
                                        float: left;
                                        padding-right: 20px;
                                        i{
                                            
                                            font-size: 17px;
                                            &.outer{
                                                transform: rotate(180deg);
                                            }
                                            &.rotate{
                                                transform: rotate(90deg);
                                            }
                                            &.space{
                                                padding-right: 5px;
                                            }
                                            &.space2{
                                                padding-right: 4px;
                                            }
                                            &.space3{
                                                padding-right: 2px;
                                            }
                                        }
                                    }
                                    .text {
                                        text-align: start;
                                        font-size: 16px;
                                        font-weight: 500;
                                    }
                                }
                                &.active{
                                    &::after{
                                        background-color: $primary-color;
                                    }
                                    a{
                                        background-color: $sidebar_bg;
                                    }
                                }
                                &::after{
                                    position: absolute;
                                    content: "";
                                    width: 10px;
                                    height: 100%;
                                    background-color: transparent;
                                    top:0px;
                                    left:0px;
                                    @include transition(all 0.3s ease);
                                }
                                &:hover{
                                    @include transition(all 0.3s ease);
                                    &::after{
                                        background-color: $primary-color;
                                    }
                                    a{
                                        background-color: $sidebar_bg;
                                    }
                                }
                            }
                        }
                        .headingg{
                            h5{
                                font-size: 18px;
                                font-weight: 500;
                                padding: 30px 0;
                                position: relative;
                                text-align: left;
                                padding-left: 40px;
                                &::before{
                                    position: absolute;
                                    content: "";
                                    width: 200px;
                                    height: 1px;
                                    background-color: $border_line;
                                    top:42px;
                                    right:0px;
                                    @include transition(all 0.3s ease);
                                }
                            }
                        }
                    }
                }
            }
        }
        .right_side_wrap {
            width: calc(100% - 336px);
            float: left;
            position: relative;
         
            // background-color: $black;
            @include clearfix();
        }
    }
}

/* Extra Huge large desktops */
@media (min-width: 3891px) and (max-width: 5120px) {}

/* Extra Huge large desktops */
@media (min-width: 3831px) and (max-width: 3891px) {}

/* Extra Huge large desktops */
@media (min-width: 2840px) and (max-width: 3831px) {}

/* Extra Huge large desktops */
@media (min-width: 2560px) and (max-width: 3850px) {}

/* Extra Huge large desktops */
@media (min-width: 1921px) and (max-width: 2560px) {}

/* Extra Huge large desktops */
@media (min-width: 1920px) {}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px) {}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px) {}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px) {}

/* Extra large desktops and mac laptops*/
@media (min-width: 1366px) and (max-width: 1499px) {}

/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    .dashboard_section{
        .dashboard_inner{ 
            .side_bar_section{ 
                .side_bar_area{ 
                    .box_area{ 
                        .menu_area{
                            &.sidebar_height{
                                height: 100vh;
                            }
                        }
                    }
                }
            }
        }

    }
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
    .dashboard_section {
        .dashboard_inner {
            .side_bar_section {
                display: none;
                .side_bar_area {
                    padding-top: 154px;
                    width: 100%;
                    .box_area {
                        .menu_area {
                            padding-left: 10px;
                            padding-right: 10px;
                            &.sidebar_height{
                                height: 100vh;
                            }
                            ul{
                                li{
                                    a{
                                        padding-left: 23px;
                                        height: 53px;
                                        line-height: 26px;
                                        text{
                                            font-size: 14px;
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }

            .right_side_wrap {
               width: 100%;
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .dashboard_section{
          .dashboard_inner{
            display: block;
            padding-top: 0px;
            .side_bar_section{
                width: 100%;
                float: unset;
                border-right: 0;
                .side_bar_area {
                    padding-top: 0px;
                    padding-right: 0;
                    border-right: none;
                    width: 100%;
                    position: unset;
                    height: auto;
                    padding-bottom: 0;
                    .box_area {
                        .menu_area {
                            padding: 0;
                            height: auto;
                        }
                    }
                }
            }
            .right_side_wrap {
                width: 100%;
                float: unset;
                @include clearfix();
                &.top-space {
                    padding-top: 0px !important;
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
    .dashboard_section {
        .dashboard_inner {
            display: block;
            padding-top: 0px;
            .side_bar_section{
                width: 100%;
                float: unset;
                border-right: 0;
                .side_bar_area {
                    padding-right: 0;
                    border-right: none;
                    width: 100%;
                    position: unset;
                    height: auto;
                    padding-bottom: 0px;
                    padding-top: 0px;
                    .box_area {
                        .menu_area {
                            display: none;
                            padding-top: 0;
                        }
                    }
                }
            }

            .right_side_wrap {
                width: 100%;
                float: unset;
                &.top-space {
                    padding-top: 0px !important;
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 360px) {
    .dashboard_section {
        .dashboard_inner {
            display: block;
            padding-top: 0px;
            .side_bar_section {
                width: 100%;
                border-right: 0;
                float: unset;
                .side_bar_area {
                    padding-top: 0px;
                    padding-right: 0;
                    border-right: none;
                    width: 100%;
                    position: unset;
                    height: auto;
                    padding-bottom: 10px;
                    .box_area {
                        .menu_area {
                            display: none;
                            padding-top: 0;
                        }
                    }
                }
            }
            .right_side_wrap {
                width: 100%;
                float: unset;
                &.top-space {
                    padding-top: 0px !important;
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 320px) {}